Rapid7 VulnDB

HP-UX: CVE-2013-2457: Running Java6, Remote Unauthorized Access, Disclosure of Information, and Other Vulnerabilities

Back to Search

HP-UX: CVE-2013-2457: Running Java6, Remote Unauthorized Access, Disclosure of Information, and Other Vulnerabilities

Severity
5
CVSS
(AV:N/AC:L/Au:N/C:N/I:P/A:N)
Published
06/18/2013
Created
07/25/2018
Added
08/11/2017
Modified
01/08/2018

Description

Unspecified vulnerability in the Java Runtime Environment (JRE) component in Oracle Java SE 7 Update 21 and earlier, 6 Update 45 and earlier, and 5.0 Update 45 and earlier, and OpenJDK 7, allows remote attackers to affect integrity via vectors related to JMX. NOTE: the previous information is from the June 2013 CPU. Oracle has not commented on claims from another vendor that this issue is due to an incorrect implementation of "certain class checks" that allows remote attackers to bypass intended class restrictions.

Solution(s)

  • hpux-update-jdk15-jdk15-com
  • hpux-update-jdk15-jdk15-demo
  • hpux-update-jdk15-jdk15-ipf32
  • hpux-update-jdk15-jdk15-ipf64
  • hpux-update-jdk15-jdk15-pa20
  • hpux-update-jdk15-jdk15-pa20w
  • hpux-update-jdk60-jdk60-com
  • hpux-update-jdk60-jdk60-ipf32
  • hpux-update-jdk60-jdk60-ipf64
  • hpux-update-jdk60-jdk60-pa20
  • hpux-update-jdk60-jdk60-pa20w
  • hpux-update-jdk70-jdk70-com
  • hpux-update-jdk70-jdk70-demo
  • hpux-update-jdk70-jdk70-ipf32
  • hpux-update-jdk70-jdk70-ipf64
  • hpux-update-jre15-jre15-com
  • hpux-update-jre15-jre15-com-doc
  • hpux-update-jre15-jre15-ipf32
  • hpux-update-jre15-jre15-ipf32-hs
  • hpux-update-jre15-jre15-ipf64
  • hpux-update-jre15-jre15-ipf64-hs
  • hpux-update-jre15-jre15-pa20
  • hpux-update-jre15-jre15-pa20-hs
  • hpux-update-jre15-jre15-pa20w
  • hpux-update-jre15-jre15-pa20w-hs
  • hpux-update-jre60-jre60-com
  • hpux-update-jre60-jre60-com-doc
  • hpux-update-jre60-jre60-ipf32
  • hpux-update-jre60-jre60-ipf32-hs
  • hpux-update-jre60-jre60-ipf64
  • hpux-update-jre60-jre60-ipf64-hs
  • hpux-update-jre60-jre60-pa20
  • hpux-update-jre60-jre60-pa20-hs
  • hpux-update-jre60-jre60-pa20w
  • hpux-update-jre60-jre60-pa20w-hs
  • hpux-update-jre70-jre70-com
  • hpux-update-jre70-jre70-ipf32
  • hpux-update-jre70-jre70-ipf32-hs
  • hpux-update-jre70-jre70-ipf64
  • hpux-update-jre70-jre70-ipf64-hs

References

  • hpux-update-jdk15-jdk15-com
  • hpux-update-jdk15-jdk15-demo
  • hpux-update-jdk15-jdk15-ipf32
  • hpux-update-jdk15-jdk15-ipf64
  • hpux-update-jdk15-jdk15-pa20
  • hpux-update-jdk15-jdk15-pa20w
  • hpux-update-jdk60-jdk60-com
  • hpux-update-jdk60-jdk60-ipf32
  • hpux-update-jdk60-jdk60-ipf64
  • hpux-update-jdk60-jdk60-pa20
  • hpux-update-jdk60-jdk60-pa20w
  • hpux-update-jdk70-jdk70-com
  • hpux-update-jdk70-jdk70-demo
  • hpux-update-jdk70-jdk70-ipf32
  • hpux-update-jdk70-jdk70-ipf64
  • hpux-update-jre15-jre15-com
  • hpux-update-jre15-jre15-com-doc
  • hpux-update-jre15-jre15-ipf32
  • hpux-update-jre15-jre15-ipf32-hs
  • hpux-update-jre15-jre15-ipf64
  • hpux-update-jre15-jre15-ipf64-hs
  • hpux-update-jre15-jre15-pa20
  • hpux-update-jre15-jre15-pa20-hs
  • hpux-update-jre15-jre15-pa20w
  • hpux-update-jre15-jre15-pa20w-hs
  • hpux-update-jre60-jre60-com
  • hpux-update-jre60-jre60-com-doc
  • hpux-update-jre60-jre60-ipf32
  • hpux-update-jre60-jre60-ipf32-hs
  • hpux-update-jre60-jre60-ipf64
  • hpux-update-jre60-jre60-ipf64-hs
  • hpux-update-jre60-jre60-pa20
  • hpux-update-jre60-jre60-pa20-hs
  • hpux-update-jre60-jre60-pa20w
  • hpux-update-jre60-jre60-pa20w-hs
  • hpux-update-jre70-jre70-com
  • hpux-update-jre70-jre70-ipf32
  • hpux-update-jre70-jre70-ipf32-hs
  • hpux-update-jre70-jre70-ipf64
  • hpux-update-jre70-jre70-ipf64-hs

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;